<?php

	namespace TalkJS\Popup;
	
	use TalkJS\Helpers\Settings;
	use TalkJS\Traits\MakesConversation;

	class Manager extends MakesConversation{

		/**
		 * Render the specific html needed for this object
		 * 
		 * @return void
		 */
		public function render()
		{
			echo 'var button = document.getElementById("btn-talk-popup");';
			echo 'button.addEventListener( "click", function( event ){';

				echo 'event.preventDefault();';
	
				$this->setConversation();
				$keepLive = '';

				if( Settings::get( 'keepLivePopup', false ) )
					$keepLive = ', {keepOpen: true}';

				echo 'var popup = talkSession.createPopup(conversation'.$keepLive.');';
				echo 'popup.mount();';

			echo '});';
		}


		/**
		 * Render the container this inbox is supposed to be in
		 * 
		 * @return String
		 */
		public function renderContainer()
		{
			echo '<div id="btn-talk-popup" class="talkjs-button"></div>';
		}

	}